Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.DockWidgetAreaSizes

    java.lang.Object
      java.lang.Enum<Qt.DockWidgetAreaSizes>
          com.trolltech.qt.core.Qt.DockWidgetAreaSizes

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.DockWidgetAreaSizes>

Enclosing interface:
  Qt

    public static enum Qt.DockWidgetAreaSizes

extends java.lang.Enum<Qt.DockWidgetAreaSizes>
implements QtEnumerator

Press link for info on Qt.DockWidgetAreaSizes

Enum Constant Summary
`NDockWidgetAreas` Internal.

Method Summary
`static Qt.DockWidgetAreaSizes` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.DockWidgetAreaSizes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.DockWidgetAreaSizes[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NDockWidgetAreas

    public static final Qt.DockWidgetAreaSizes NDockWidgetAreas

  Internal.

Method Detail

### values

    public static final Qt.DockWidgetAreaSizes[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.DockWidgetAreaSizes c : Qt.DockWidgetAreaSizes.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.DockWidgetAreaSizes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.DockWidgetAreaSizes resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD